#!/bin/bash

# set -o errexit
# set -o nounset

# source ./aid/log.sh
# source ./common.sh

Home=$(dirname "$(realpath "$0")")
Cmd_dir="${Home}/mu1-to-mu2-develop/cmd"

cd ${Home}/mu1-to-mu2-develop/
find -name *.sh | xargs chmod +x

Build_exec_sql_script() {
    cd ${Cmd_dir}/tool
    ./build_exec_sql_script.sh
    echo  "build_exec_sql_script.sh success"

    ./build_table_query.sh
    echo  "build_table_query.sh success"

    ./build_tomlquery.sh
    echo  "build_tomlquery.sh success"
}

Build_workspace_config_migration() {
    cd ${Cmd_dir}/workspace
    ./build_workspace_config_migration.sh
    echo  "build_workspace_config_migration.sh success"
}

Build_environment_config_migration() {
    cd ${Cmd_dir}/environment
    ./build_environment_config_migration.sh
    echo  "build_environment_config_migration.sh success"

    ./build_service_instance_db_name.sh
    echo  "build_service_instance_db_name.sh success"

    ./build_service_instance_version_data.sh
    echo  "build_service_instance_version_data.sh success"
}

Build_binary() {

    if [ $# -eq 1 ]; then
        echo  "start build $1..."
        $1
        Get_Status $?
    else
        Build_exec_sql_script
        echo  "start build Build_exec_sql_script..."

        Build_workspace_config_migration
        echo  "start build Build_workspace_config_migration..."

        Build_environment_config_migration
        echo  "start build Build_environment_config_migration..."

    fi
}

if [ $# -eq 1 ]; then
    Build_binary $1
else
    Build_binary
fi
