#!/bin/bash

Home=$(dirname "$(realpath "$0")")

source $Home/aid/log.sh

Get_Status() {
    if [ $1 -eq 0 ]; then
        # print log.
        migration::log::info "exec success."
        # skip success steps.
        if [ $# -eq 2 ]; then
            sed -i "s/^${2}/###${2}/g" $Home/03.main.sh
        fi
    else
        # print log.
        migration::log::error "exec failed."
        exit 1
    fi
}

json_file="$Home/tn_env_wks_single.json"

Get_app_values() {

    local json_path="$1"
    local field_value

    field_value=$(jq -r "$json_path" $json_file)

    if [ "$field_value" == "null" ] || [ -z "$field_value" ]; then
        migration::log::info "An error occurred: $json_path is empty or not found in file: $json_file"
        return 1
    else
        echo "$field_value"
    fi

    # 使用方法：
    # check_json_field ".svcskm.skmdbname"
}

Get_json_length() {
    local json_list="$1"
    local josn_length
    josn_length=$(jq -r "${json_list} | length" $json_file)
    echo $josn_length
    # 使用方法：
    # check_json_field ".svcskm"
}

kubectl="/opt/kube/bin/kubectl"

mvp1_db_host="$(Get_app_values .mvp1_db_host)"
mvp2_db_host="$(Get_app_values .mvp2_db_host)"
mu_pwd="$(Get_app_values .mumpv2.dbpwd)"
# rbo_list="1,2,3,4,5"
# "ems_list"="1,2,3"
dos_list=""
rbo_list="$(Get_app_values .rbo_list)"
ems_list="$(Get_app_values .ems_list)"
mu1_k8s_master="$(Get_app_values .mu1_k8s_master)"
mu2_k8s_master="$(Get_app_values .mu2_k8s_master)"

k8s_cluster_length=$(Get_json_length ".svck8s")
#get tenant list
k8s_cluster=()
if [ $k8s_cluster_length ] >1; then
    k8s_cluster_length=$(($k8s_cluster_length - 1))
    for i in $(seq 0 $k8s_cluster_length); do
        k8s_cluster+=$(Get_app_values .svck8s[$i].svck8s)" "
    done
        # migration::log::info "k8s cluster list: ${k8s_cluster}."
else
    k8s_cluster=$(Get_app_values .svck8s[0].svck8s)
    # migration::log::info "k8s cluster list: ${k8s_cluster}."
fi