## Installation of rsync, inotifywait. Configuration for password protection
## Automatic synchronisation scripts
```
#!/bin/bash

Path=/data/gitlab
#Server=10.10.0.78
Server="$1"
User=root
module=/data/gitlab

monitor() {
  /usr/bin/inotifywait -mrq --format '%w%f' -e create,close_write,delete $1 | while read line; do
    if [ -f $line ]; then
      rsync -avz $line --delete ${User}@${Server}:${line}
    else
      cd $1 &&
        rsync -avz ./ --delete ${User}@${Server}:${module}
    fi
    echo $line
  done
}

monitor $Path;
```