#!/bin/bash

Home=$(dirname "$(realpath "$0")")
source $Home/../common.sh
source $Home/../aid/log.sh
mu1_db_user=opsroot
mu1_db_pass=${mu_pwd}
mu1_db_host=${mvp1_db_host}
mu2_db_host=${mvp2_db_host}
mu1_db_port=3306
mu1_db_list="
apigov
automation
cod-vmware
datagov
db_prc
skm
soc
specmgmt
upm
vault
"

Home=$(dirname "$(realpath "$0")")

mkdir -p mu1_db_backup

migration::log::info "mu db info ${mvp1_db_host},${mvp2_db_host},${mu_pwd}"


# update mvp1 automation
    
for db in $mu1_db_list;do
    mysqldump --set-gtid-purged=OFF -u$mu1_db_user -p$mu1_db_pass -h$mu1_db_host  $db > mu1_db_backup/${db}_data.sql
done
# set upm user read only.
mysql -u$mu1_db_user -p$mu1_db_pass -h$mu1_db_host  < $Home/3_upm.sql

# tar zcf ../mu1_db_backup.tgz mu1_db_backup && rm -fr mu1_db_backup
echo "$(basename $0). Backup mvp1 db success..."

for db in $mu1_db_list;do
    mysql -u$mu1_db_user -p$mu1_db_pass -h$mu2_db_host  -e 'create database `'${db}'_mu1`;'
    mysql -u$mu1_db_user -p$mu1_db_pass -h$mu2_db_host  ${db}_mu1 < mu1_db_backup/${db}_data.sql
done
mysql -u$mu1_db_user -p$mu1_db_pass -h$mu2_db_host  < $Home/2_automation.sql

echo "$(basename $0). Import mvp1 to mvp2 db success..."
