# multiverse server 

## DB
```sql
-- SKM DB
create database skm;
create database vault;

create database db_prc;
create database upm;
create database workspace;
create database environment;
create database soc;
create database cpc;
create database automation;

-- organization DB
create database cicd;
create database organization;
create database workflow;
create database project;
create database permission;
```

## global variable
这将会覆盖服务自身的配置，如需要每个服务自定义DB user，则需要注释掉对应的变量
使用以下全局变量，在install时`-f ex-values.yaml`引用
例如：`helm install -f ex-values.yaml alertmgmt alertmgmt`

`ex-values.yaml`示例如下
```yaml
global:
  mesh:
    addr: 10.30.2.154:55555
    vpn: multiverse
    user: multiverse
    password: multiverse

  kvc:
    addr:
    - redis-for-aig.default:7000
    password: SiriUs007

  db:
    host: 10.30.2.18
    port: 3306
    user: opsroot
    password: Yy@123456

  clickhouse:
    url:
    - 10.30.2.154:9001
    user: "default"
    pwd: ""

  tdengine:
    urls:
    - 10.30.2.147:6041
    user: "root"
    pwd: "taosdata"
```

## 自定义用户
例如：alertmgmt
1. 注释掉

2. 进入`alertmgmt`目录，修改values.yaml
```yaml
global:
...
  db:
    user: alertmgmt
    password: umBQ8w4#&*r9ah
    database: environment
...
```

3. 在DB中授权
```sql
-- alertmgmt， environment
create user 'alertmgmt'@'%' identified by 'umBQ8w4#&*r9ah';
grant all on `environment`.* to 'alertmgmt'@'%';
```

## ansible目录权限问题:

1. chmod -R 600 ansible/.ssh/*
2. chmod -R 755 ansible/bin/*

### OBS (cpc ansible)
obsutil config -e https://obs.ap-southeast-2.myhuaweicloud.com -i xxx -k xxx

cd /data/apps/automation/ansible
obsutil sync obs://mu-warehouse/apps/multiverse/automation/release4/ansible .
chown -R 1000.1000 .
chmod -R 600 ./.ssh/*
chmod -R 755 ./bin/*


dos 没权限，需要看policy


1、gls的wks/org/env
2、cpc的ansible
3、automation的配置
automation:
  config:
    networkzone:
      huaweicloud_codImageId: "55493113-ddcb-499e-b17b-82029a1222b6" # ubuntu 20.04
      muPemNode: {{ solace_container_name_prefix }}-primary #routename
      aws_codImageId: "ami-07188a8635b30d1db"
