{{/*
Create a default fully qualified app name.
*/}}
{{- define "cpc.fullname" -}}
{{- if .Values.cod.fullnameOverride }}
{{- .Values.cod.fullnameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- $name := default "cod" .Values.cod.appNameOverride }}
{{- if contains $name .Release.Name }}
{{- .Release.Name | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- printf "%s-%s" .Release.Name $name | trunc 63 | trimSuffix "-" }}
{{- end }}
{{- end }}
{{- end }}

{{/*
Create a default app name.
*/}}
{{- define "cpc.appName" -}}
{{- if .Values.cod.appNameOverride }}
{{- .Values.cod.appNameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- .Chart.Name }}
{{- end }}
{{- end }}

{{/*
Return the proper bc sed image name
*/}}
{{- define "cpc.appImage" -}}
{{- $registryName := .Values.cod.image.registry -}}
{{- $repositoryName := .Values.cod.image.repository -}}
{{- if .Values.cod.image.tag }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Values.cod.image.tag -}}
{{- else }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Chart.AppVersion -}}
{{- end }}
{{- end -}}
