
{{- define "cpc.sedImage" -}}
{{- $registryName := .Values.sed.image.registry -}}
{{- $repositoryName := .Values.sed.image.repository -}}
{{- $tag := .Values.sed.image.tag | toString -}}
{{- printf "%s/%s:%s" $registryName $repositoryName $tag -}}
{{- end -}}


{{- define "cpc.appImage" -}}
{{- $registryName := .Values.cod.image.registry -}}
{{- $repositoryName := .Values.cod.image.repository -}}
{{- $tag := default "" .Values.cod.image.tag | toString -}}
{{- if ne $tag "" }}
{{- printf "%s/%s:%s" $registryName $repositoryName $tag -}}
{{- else }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Chart.AppVersion -}}
{{- end -}}
{{- end -}}

{{- define "cpc.initContainers" -}}
- name: init-dir
  image: hub.multiverse.io/library/busybox
  command: ['sh', '-c', 'chown 1000:1000 /data/logs && chown 1000:1000 /data/sedlogs && mkdir -p /data/automation/host && mkdir -p /data/automation/cod-install && mkdir -p /data/automation/ansible/.ssh && chown -R 1000:1000 /data/automation']
  volumeMounts:
  - mountPath: /data/logs
    name: log-path
  - mountPath: /data/sedlogs
    name: sedlog-path
  - mountPath: /data/automation
    name: automation-path
{{- end -}}