{{- define "cpc.topics" }}
{{- $subcribes := $.Files.Get "config/subscription.yaml" | fromYaml }}
{{- range $type, $topics := $subcribes }}
{{- range $topic := $topics }}
[[sessions.topics]]
type = "{{ $type }}"
{{- if eq $.Values.global.subscription.org "TN000000" }}
org = "*"
{{- end }}
{{- if eq $.Values.global.subscription.wks "WS000000" }}
wks = "*"
{{- end }}
{{- if eq $.Values.global.subscription.env "EV000000" }}
env = "*"
{{- end }}
{{- if eq $.Values.global.subscription.su "SU000000" }}
su = "*"
{{- end }}
version = "*"
id = "{{ $topic }}"
{{ end }}
{{- end }}
{{- end -}}

{{- define "cpc.queues" -}}
{{- $subcribes := $.Files.Get "config/subscription.yaml" | fromYaml }}
{{- range $type, $queues := $subcribes }}
{{- range $queue := $queues }}
{{- range $q, $topics := $queue }}
[[sessions.queues]]
type = "{{ $type }}"
id = "{{ $q }}"
version = "v1"
{{- end }}
{{- end }}
{{- end }}
{{- end -}}

{{- define "cpc.topics_in_queue" }}
{{- $subcribes := $.Files.Get "config/subscription.yaml" | fromYaml }}
[subscription]
prefix = ""
suffix = "-{{ $.Values.cod.config.cloudtype }}"
{{- range $type, $queues := $subcribes }}
{{- range $queue := $queues }}
{{- range $q, $topics := $queue }}
{{- $newtopics := default (list) $topics }}
{{- if gt (len $newtopics) 0 }}
[[subscription.extra_topics]]
queue = "{{ $q }}"
topics = [
{{- range $topic := $topics }}
    "{{ $type }}:{{ $topic }}",
{{- end }}
]
{{- end }}
{{- end }}
{{- end }}
{{- end }}
{{- end }}