{{/*
Create a default fully qualified app name.
*/}}
{{- define "dxc.fullname" -}}
{{- if .Values.dxc.fullnameOverride }}
{{- .Values.dxc.fullnameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- $name := default "dxc" .Values.dxc.appNameOverride }}
{{- if contains $name .Release.Name }}
{{- .Release.Name | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- printf "%s-%s" .Release.Name $name | trunc 63 | trimSuffix "-" }}
{{- end }}
{{- end }}
{{- end }}

{{/*
Create a default app name.
*/}}
{{- define "dxc.appName" -}}
{{- if .Values.dxc.appNameOverride }}
{{- .Values.dxc.appNameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- .Chart.Name }}
{{- end }}
{{- end }}

{{/*
Return the proper bc sed image name
*/}}
{{- define "dxc.appImage" -}}
{{- $registryName := .Values.dxc.image.registry -}}
{{- $repositoryName := .Values.dxc.image.repository -}}
{{- if .Values.dxc.image.tag }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Values.dxc.image.tag -}}
{{- else }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Chart.AppVersion -}}
{{- end }}
{{- end -}}
