CREATE TABLE IF NOT EXISTS `gls_root`.`gls_args` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `type` varchar(20) NOT NULL,
  `class` varchar(100) NOT NULL,
  `code` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0' COMMENT '0- invalid 1- effective',
  `value` varchar(2000) NOT NULL DEFAULT '',
  `argment` varchar(255) DEFAULT '',
  `state` char(1) NOT NULL DEFAULT '0',
  `buf` varchar(255) DEFAULT '',
  `parameter` varchar(255) DEFAULT '',
  `data` mediumblob comment 'File storage',
  `comment` varchar(255) DEFAULT '',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'update_time',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `args_index` (`tenant`,`workspace`,`environment`,`class`,`code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_root`.`gls_class` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL DEFAULT '0' COMMENT 'SU Type',
  `type_id` varchar(20) NOT NULL COMMENT 'Type',
  `type_class` varchar(20) NOT NULL,
  `class_name` varchar(255) DEFAULT '0',
  `update_uuid` varchar(100) DEFAULT '',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'update_time',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`type_id`,`type_class`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_root`.`gls_slice` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `class` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `backward` char DEFAULT '0',
  `type` varchar(20) DEFAULT NULL,
  `addr` varchar(255) DEFAULT NULL,
  `db` varchar(255) DEFAULT NULL,
  `db_code` varchar(255) DEFAULT NULL,
  `user` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `parent` int(10) unsigned DEFAULT '0',
  `virtual_type` char(1) DEFAULT '0' COMMENT '1- virtual node',
  `salt_value` varchar(100) DEFAULT '',
  `dec_key` varchar(255) DEFAULT '',
  `tbl` varchar(255) NOT NULL DEFAULT '',
  `tbl_code` varchar(255) NOT NULL DEFAULT '',
  `top` varchar(100) NOT NULL,
  `bottom` varchar(100) NOT NULL,
  `pos` int(10) unsigned NOT NULL DEFAULT '0',
  `slice` int(10) NOT NULL,
  `weight_rule` varchar(255) DEFAULT '' COMMENT 'Weight allocation, empty as balanced distribution, using the modular hash algorithm',
  `effect` int(1) NOT NULL DEFAULT '0' COMMENT '0- invalid 1- effective',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'update_time',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `slic_class_index` (`tenant`,`workspace`,`environment`,`class`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_root`.`gls_su` (
  `id` int(20) unsigned NOT NULL AUTO_INCREMENT,
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sucode` varchar(20) NOT NULL,
  `sutype` varchar(20) NOT NULL DEFAULT '0',
  `weight` int(10) unsigned NOT NULL DEFAULT '0',
  `quota` int(20) unsigned NOT NULL DEFAULT '0',
  `update_uuid` varchar(100) DEFAULT '',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `su_index` (`tenant`,`workspace`,`environment`,`sucode`,`sutype`) USING BTREE,
  KEY `sutype` (`sutype`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_root`.`gls_topic` (
  `topic_type` char(3) NOT NULL,
  `topic_id` varchar(100) NOT NULL,
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `update_uuid` varchar(100) DEFAULT '',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`topic_type`,`topic_id`,`tenant`,`workspace`,`environment`),
  KEY `sutype_id` (`tenant`,`workspace`,`environment`,`sutype`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_root`.`gls_type` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL DEFAULT '0',
  `type_id` varchar(20) NOT NULL,
  `type_name` varchar(100) NOT NULL,
  `update_uuid` varchar(100) DEFAULT '',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'update_time',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`type_id`) USING BTREE,
  KEY `type` (`type_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_0` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_1` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_2` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_3` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_4` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_5` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_6` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_7` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_8` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_1`.`gls_data_9` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_0` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_1` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_2` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_3` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_4` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_5` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_6` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_7` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_8` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_2`.`gls_data_9` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_0` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_1` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_2` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_3` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_4` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_5` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_6` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_7` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_8` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
########
CREATE TABLE IF NOT EXISTS `gls_3`.`gls_data_9` (
  `tenant` varchar(20) NOT NULL DEFAULT '',
  `workspace` varchar(20) NOT NULL DEFAULT '',
  `environment` varchar(20) NOT NULL DEFAULT '',
  `sutype` varchar(20) NOT NULL,
  `gls_type` char(3) NOT NULL,
  `gls_class` varchar(10) NOT NULL,
  `gls_key` varchar(500) NOT NULL,
  `gls_value` varchar(100) NOT NULL,
  `effect` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tenant`,`workspace`,`environment`,`sutype`,`gls_type`,`gls_class`,`gls_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
