
{{- define "mintrd.sedImage" -}}
{{- $registryName := .Values.sed.image.registry -}}
{{- $repositoryName := .Values.sed.image.repository -}}
{{- $tag := .Values.sed.image.tag | toString -}}
{{- printf "%s/%s:%s" $registryName $repositoryName $tag -}}
{{- end -}}


{{- define "mintrd.appImage" -}}
{{- $registryName := .Values.image.registry -}}
{{- $repositoryName := .Values.image.repository -}}
{{- $tag := default "" .Values.image.tag | toString -}}
{{- if ne $tag "" }}
{{- printf "%s/%s:%s" $registryName $repositoryName $tag -}}
{{- else }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Chart.AppVersion -}}
{{- end -}}
{{- end -}}

{{- define "mintrd.initContainers" -}}
- name: init-dir
  image: hub.multiverse.io/library/busybox
  command: ['sh', '-c', 'chown 1000:1000 /data/logs && chown 1000:1000 /data/sedlogs']
  volumeMounts:
  - mountPath: /data/logs
    name: log-path
  - mountPath: /data/sedlogs
    name: sedlog-path
{{- end -}}