/*
 Navicat Premium Data Transfer

 Source Server         : mvp2_uat
 Source Server Type    : MySQL
 Source Server Version : 50732
 Source Host           : 10.10.6.108:3306
 Source Schema         : cicd

 Target Server Type    : MySQL
 Target Server Version : 50732
 File Encoding         : 65001

 Date: 11/01/2024 18:29:56
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for cicd_pipeline
-- ----------------------------

CREATE TABLE `cicd_pipeline`  (
  `cicd_pipeline_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cicd_tool_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `project_key` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cicd_pipeline_template_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_time` timestamp NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`cicd_pipeline_id`) USING BTREE,
  INDEX `fk_cicd_pipeline_cicd_tool1_idx`(`cicd_tool_id`) USING BTREE,
  INDEX `fk_cicd_pipeline_project_info1_idx`(`project_key`, `organization_id`) USING BTREE,
  INDEX `fk_cicd_pipeline_cicd_pipeline_template1_idx`(`cicd_pipeline_template_id`) USING BTREE,
  CONSTRAINT `fk_cicd_pipeline_cicd_pipeline_template1` FOREIGN KEY (`cicd_pipeline_template_id`) REFERENCES `cicd_pipeline_template` (`cicd_pipeline_template_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_cicd_pipeline_cicd_tool1` FOREIGN KEY (`cicd_tool_id`) REFERENCES `cicd_tool` (`cicd_tool_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_cicd_pipeline_project_info1` FOREIGN KEY (`project_key`, `organization_id`) REFERENCES `project`.`project_info` (`project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for cicd_pipeline_template
-- ----------------------------

CREATE TABLE `cicd_pipeline_template`  (
  `cicd_pipeline_template_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cicd_type_id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_time` timestamp NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`cicd_pipeline_template_id`) USING BTREE,
  INDEX `fk_cicd_pipeline_template_cicd_type1_idx`(`cicd_type_id`) USING BTREE,
  CONSTRAINT `fk_cicd_pipeline_template_cicd_type1` FOREIGN KEY (`cicd_type_id`) REFERENCES `cicd_type` (`cicd_type_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for cicd_tool
-- ----------------------------

CREATE TABLE `cicd_tool`  (
  `cicd_tool_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `access_key` varchar(512) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL,
  `secret_key` varchar(512) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL,
  `endpoint` varchar(512) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL,
  `cicd_type_id` int(11) NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_time` timestamp NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `username` varchar(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL,
  `password` varchar(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL,
  `is_active` tinyint(1) NULL DEFAULT 1,
  `system_default` tinyint(1) NULL DEFAULT NULL,
  PRIMARY KEY (`cicd_tool_id`) USING BTREE,
  INDEX `fk_cicd_tool_cicd_type_idx`(`cicd_type_id`) USING BTREE,
  INDEX `fk_cicd_tool_organization_info1_idx`(`organization_id`) USING BTREE,
  CONSTRAINT `fk_cicd_tool_cicd_type` FOREIGN KEY (`cicd_type_id`) REFERENCES `cicd_type` (`cicd_type_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_cicd_tool_organization_info1` FOREIGN KEY (`organization_id`) REFERENCES `organization`.`organization_info` (`organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for cicd_tool_accountability_relation
-- ----------------------------

CREATE TABLE `cicd_tool_accountability_relation`  (
  `cicd_tool_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `accountability_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`cicd_tool_id`, `accountability_id`) USING BTREE,
  INDEX `fk_cicd_tool_accountability_relation_accountability_info1_idx`(`accountability_id`) USING BTREE,
  CONSTRAINT `fk_cicd_tool_accountability_relation_accountability_info1` FOREIGN KEY (`accountability_id`) REFERENCES `organization`.`accountability_info` (`accountability_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_cicd_tool_accountability_relation_cicd_tool1` FOREIGN KEY (`cicd_tool_id`) REFERENCES `cicd_tool` (`cicd_tool_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for cicd_type
-- ----------------------------

CREATE TABLE `cicd_type`  (
  `cicd_type_id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_time` timestamp NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`cicd_type_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for project_info_cicd_tool_relation
-- ----------------------------

CREATE TABLE `project_info_cicd_tool_relation`  (
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cicd_tool_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`project_key`, `organization_id`, `cicd_tool_id`) USING BTREE,
  INDEX `fk_project_info_has_cicd_tool_cicd_tool1_idx`(`cicd_tool_id`) USING BTREE,
  INDEX `fk_project_info_has_cicd_tool_project_info1_idx`(`project_key`, `organization_id`) USING BTREE,
  CONSTRAINT `fk_project_info_has_cicd_tool_cicd_tool1` FOREIGN KEY (`cicd_tool_id`) REFERENCES `cicd_tool` (`cicd_tool_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_project_info_has_cicd_tool_project_info1` FOREIGN KEY (`project_key`, `organization_id`) REFERENCES `project`.`project_info` (`project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
