/*
 Navicat Premium Data Transfer

 Source Server         : mysql
 Source Server Type    : MySQL
 Source Server Version : 80034
 Source Host           : localhost:3306
 Source Schema         : db_prc

 Target Server Type    : MySQL
 Target Server Version : 80034
 File Encoding         : 65001

 Date: 11/01/2024 18:29:26
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_dp_process_group
-- ----------------------------

CREATE TABLE `t_dp_process_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `workspace_id` bigint DEFAULT NULL,
  `workspace_name` varchar(64) DEFAULT NULL,
  `process_group_id` varchar(40) DEFAULT NULL,
  `readonly_user_group_id` varchar(40) DEFAULT NULL,
  `user_group_id` varchar(40) DEFAULT NULL,
  `creator` varchar(64) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `updator` varchar(64) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_dp_process_group
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_elb_acl_entry
-- ----------------------------

CREATE TABLE `t_elb_acl_entry` (
  `acl_entry_id` bigint NOT NULL AUTO_INCREMENT,
  `acl_group_id` varchar(50) DEFAULT NULL,
  `entry` varchar(50) DEFAULT NULL COMMENT '一行一个IP或者IP段',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`acl_entry_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_elb_acl_entry
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_elb_acl_group
-- ----------------------------

CREATE TABLE `t_elb_acl_group` (
  `acl_group_id` varchar(50) NOT NULL,
  `acl_group_name` varchar(200) DEFAULT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `acl_type` varchar(20) DEFAULT NULL COMMENT 'ACL type. Range[allow|deny]',
  `instance_id` varchar(50) DEFAULT NULL COMMENT 'ELB实例id',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(200) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`acl_group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_elb_acl_group
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_elb_listener
-- ----------------------------

CREATE TABLE `t_elb_listener` (
  `listener_id` varchar(50) NOT NULL,
  `listener_name` varchar(200) DEFAULT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `instance_id` varchar(50) DEFAULT NULL COMMENT 'ELB实例id',
  `protocol` varchar(20) DEFAULT NULL COMMENT '监听类型: TCP，HTTP，HTTPS',
  `listener_port` int DEFAULT NULL COMMENT '监听端口',
  `target_group_id` varchar(50) DEFAULT NULL COMMENT '后端服务组id',
  `certificate_id` varchar(50) DEFAULT NULL COMMENT '服务器证书id',
  `acl_status` tinyint(1) DEFAULT NULL COMMENT '是否开启访问控制功能。false-关闭（默认），true-开启。',
  `acl_group_id` varchar(50) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(200) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`listener_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_elb_listener
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_elb_target_group
-- ----------------------------

CREATE TABLE `t_elb_target_group` (
  `target_group_id` varchar(50) NOT NULL,
  `target_group_name` varchar(200) DEFAULT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `scheduler` varchar(1000) DEFAULT NULL COMMENT '负载均衡算法 [roundrobin, leastconn]',
  `instance_id` varchar(50) DEFAULT NULL COMMENT 'ELB实例id',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(200) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`target_group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_elb_target_group
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_elb_target_server
-- ----------------------------

CREATE TABLE `t_elb_target_server` (
  `target_server_id` varchar(50) NOT NULL,
  `spec_server_id` varchar(50) DEFAULT NULL COMMENT 'RealServer 在spec-mgmt中的ID',
  `target_group_id` varchar(50) DEFAULT NULL,
  `address` varchar(50) DEFAULT NULL COMMENT 'RealServer的ip地址',
  `port` int DEFAULT NULL COMMENT 'RealServer的端口',
  `weight` int DEFAULT NULL COMMENT '权重',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(200) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`target_server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_elb_target_server
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_kvc_parameter
-- ----------------------------

CREATE TABLE `t_kvc_parameter` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `param_name` varchar(50) DEFAULT NULL,
  `default_value` varchar(50) DEFAULT NULL,
  `param_description` varchar(255) DEFAULT NULL,
  `param_value_range` varchar(255) DEFAULT NULL,
  `need_restart` varchar(10) DEFAULT NULL,
  `param_type` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_kvc_parameter
-- ----------------------------
BEGIN;
INSERT INTO `t_kvc_parameter` VALUES (1, 'hash-max-ziplist-entries', '512', '', '[0-999999999999999]', 'no', 'int');
INSERT INTO `t_kvc_parameter` VALUES (2, 'hash-max-ziplist-value', '64', '', '[0-999999999999999]', 'no', 'int');
INSERT INTO `t_kvc_parameter` VALUES (3, 'hz', '10', '', '[1-500]', 'no', 'int');
INSERT INTO `t_kvc_parameter` VALUES (4, 'lazyfree-lazy-eviction', 'no', '', '[yes|no]', 'no', 'string');
INSERT INTO `t_kvc_parameter` VALUES (5, 'lazyfree-lazy-expire', 'no', '', '[yes|no]', 'no', 'string');
INSERT INTO `t_kvc_parameter` VALUES (6, 'lazyfree-lazy-server-del', 'no', '', '[yes|no]', 'no', 'string');
INSERT INTO `t_kvc_parameter` VALUES (7, 'list-compress-depth', '0', '', '[0-65535]', 'no', 'int');
INSERT INTO `t_kvc_parameter` VALUES (8, 'list-max-ziplist-size', '-2', '', '[-5-99999999]', 'no', 'int');
INSERT INTO `t_kvc_parameter` VALUES (9, 'maxmemory-policy', 'noeviction', '', '[volatile-lru|allkeys-lru|volatile-random|allkeys-random|volatile-ttl|volatile-lfu|allkeys-lfu|noeviction]', 'no', 'string');
INSERT INTO `t_kvc_parameter` VALUES (10, 'set-max-intset-entries', '512', '', '[0-999999999999999]', 'no', 'int');
INSERT INTO `t_kvc_parameter` VALUES (11, 'zset-max-ziplist-entries', '128', '', '[0-999999999999999]', 'no', 'int');
INSERT INTO `t_kvc_parameter` VALUES (12, 'zset-max-ziplist-value', '64', '', '[0-999999999999999]', 'no', 'int');
COMMIT;

-- ----------------------------
-- Table structure for t_multi_node_request
-- ----------------------------

CREATE TABLE `t_multi_node_request` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `request_command` varchar(100) DEFAULT NULL COMMENT '指令名称',
  `request_biz_id` varchar(100) DEFAULT NULL COMMENT '全局traceId',
  `request_status` int DEFAULT NULL COMMENT '0-processing, 1-success, 2-fail, 3-timeout',
  `request_body` text,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_multi_node_request
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_multi_node_request_node
-- ----------------------------

CREATE TABLE `t_multi_node_request_node` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `multi_node_request_id` bigint DEFAULT NULL,
  `action` varchar(100) DEFAULT NULL,
  `instance_node_id` varchar(32) DEFAULT NULL,
  `event_id` varchar(100) DEFAULT NULL,
  `node_status` int DEFAULT NULL COMMENT '1-success, 2-fail',
  `callback_message` text,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_multi_node_request_node
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_allowlist
-- ----------------------------

CREATE TABLE `t_rdb_allowlist` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `cluster_id` varchar(64) NOT NULL,
  `allow_ip` varchar(16) NOT NULL,
  `created_time` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_allowlist
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_async_subtask
-- ----------------------------

CREATE TABLE `t_rdb_async_subtask` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `cluster_id` varchar(64) NOT NULL,
  `task_name` varchar(64) NOT NULL,
  `task_type` int NOT NULL COMMENT '0:standby',
  `context` varchar(512) DEFAULT NULL,
  `description` varchar(512) NOT NULL,
  `status` int NOT NULL COMMENT '0:executing, 1:success, -1:failed',
  `error_message` text NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  `created_time` datetime NOT NULL,
  `updated_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_async_subtask
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_async_task
-- ----------------------------

CREATE TABLE `t_rdb_async_task` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `task_name` varchar(64) NOT NULL,
  `task_type` int NOT NULL COMMENT '0:standby',
  `description` varchar(512) NOT NULL,
  `subtask_id` bigint NOT NULL,
  `execute_ip` varchar(16) NOT NULL,
  `error_message` text NOT NULL,
  `status` int NOT NULL COMMENT '0:executing, 1:success, -1:failed',
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  `created_time` datetime NOT NULL,
  `updated_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_async_task
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_backup_execute_record
-- ----------------------------

CREATE TABLE `t_rdb_backup_execute_record` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `strategy_id` bigint NOT NULL,
  `execute_mode` int NOT NULL COMMENT '0:planned,1:immediately',
  `backup_type` int NOT NULL COMMENT '0:full backup,1:increment backup',
  `executor_ip` varchar(16) NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  `status` int NOT NULL COMMENT '0:executing,1:success,-1:failed',
  `error_message` text,
  `storage_type` int NOT NULL COMMENT '0:dos,1:local',
  `storage_id` bigint NOT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  `file_size` bigint DEFAULT NULL COMMENT 'unit: byte',
  `file_status` int DEFAULT NULL,
  `position_binlog` varchar(32) DEFAULT NULL,
  `position_gtid` varchar(255) DEFAULT NULL,
  `created_time` datetime NOT NULL,
  `updated_time` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idx_schedule_id` (`strategy_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_backup_execute_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_backup_storage_dos
-- ----------------------------

CREATE TABLE `t_rdb_backup_storage_dos` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `strategy_id` bigint NOT NULL,
  `dos_cluster_id` varchar(255) NOT NULL COMMENT 'cluster id of DOS',
  `bucket` varchar(64) NOT NULL,
  `status` int NOT NULL COMMENT '0:normal,1:expired',
  `creator` varchar(255) NOT NULL,
  `created_time` datetime NOT NULL,
  `updator` varchar(255) NOT NULL,
  `updated_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_backup_storage_dos
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_backup_storage_local
-- ----------------------------

CREATE TABLE `t_rdb_backup_storage_local` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `strategy_id` bigint NOT NULL,
  `path` varchar(255) NOT NULL COMMENT 'path for backup file storage',
  `status` int NOT NULL COMMENT '0:normal,1:expired',
  `creator` varchar(255) NOT NULL,
  `created_time` datetime NOT NULL,
  `updator` varchar(255) NOT NULL,
  `updated_time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_backup_storage_local
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_backup_strategy
-- ----------------------------

CREATE TABLE `t_rdb_backup_strategy` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `cluster_id` varchar(64) NOT NULL,
  `tenant_id` varchar(64) NOT NULL,
  `execute_mode` int NOT NULL COMMENT '0:planned,1:immediately',
  `retention_day` int NOT NULL,
  `increment_backup_retention_day` int DEFAULT NULL,
  `time_zone` varchar(64) NOT NULL,
  `full_backup_cycle` int NOT NULL,
  `full_backup_cycle_day` varchar(255) NOT NULL,
  `full_backup_start_time` varchar(5) NOT NULL,
  `full_backup_timezone` varchar(64) DEFAULT NULL,
  `increment_backup` int NOT NULL COMMENT '0:true,1:false',
  `increment_backup_cycle` int DEFAULT NULL,
  `increment_backup_cycle_day` varchar(255) DEFAULT NULL,
  `increment_backup_start_time` varchar(5) DEFAULT NULL COMMENT 'format: HH:mm:ss',
  `increment_backup_timezone` varchar(64) DEFAULT NULL,
  `storage_type` int NOT NULL COMMENT '0:dos,1:local',
  `status` int NOT NULL COMMENT '0:normal,1:paused',
  `encrypt` int DEFAULT NULL COMMENT 'encrypt backup file or not. 0: no, 1: yes',
  `creator` varchar(255) NOT NULL,
  `created_time` datetime NOT NULL,
  `updator` varchar(255) NOT NULL,
  `updated_time` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_backup_strategy
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_backup_strategy_ticker_relation
-- ----------------------------

CREATE TABLE `t_rdb_backup_strategy_ticker_relation` (
  `ticker_id` varchar(32) NOT NULL,
  `strategy_id` bigint NOT NULL,
  `backup_type` int NOT NULL,
  PRIMARY KEY (`ticker_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_backup_strategy_ticker_relation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_operate
-- ----------------------------

CREATE TABLE `t_rdb_operate` (
  `operate_id` varchar(32) NOT NULL,
  `operate_obj` int NOT NULL COMMENT '0:cluster,1:member',
  `type` int NOT NULL COMMENT '0:start, 1:stop, 2:restart',
  `status` int NOT NULL COMMENT '0:executing,1:execute success,-1:execute failed',
  `error_message` text,
  `user_id` bigint NOT NULL,
  `create_time` datetime NOT NULL,
  `update_time` datetime NOT NULL,
  PRIMARY KEY (`operate_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_operate
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_operate_trans
-- ----------------------------

CREATE TABLE `t_rdb_operate_trans` (
  `operate_id` varchar(32) NOT NULL,
  `ip` varchar(16) NOT NULL,
  `status` int NOT NULL COMMENT '0:executing,1:execute success,-1:execute failed',
  `create_time` datetime NOT NULL,
  `update_time` datetime NOT NULL,
  PRIMARY KEY (`operate_id`,`ip`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_operate_trans
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_rdb_variable_template
-- ----------------------------

CREATE TABLE `t_rdb_variable_template` (
  `name` varchar(64) NOT NULL,
  `variable_type` int NOT NULL COMMENT '0:string,1:int,2:float',
  `default_value` varchar(255) DEFAULT NULL,
  `restart_when_modify` int DEFAULT NULL,
  `value_range` varchar(255) DEFAULT NULL,
  `comment` varchar(512) DEFAULT NULL,
  PRIMARY KEY (`name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_rdb_variable_template
-- ----------------------------
BEGIN;
INSERT INTO `t_rdb_variable_template` VALUES ('innodb_spin_wait_delay', 0, '18', 0, '[0-1024]', 'The maximum delay between polls for a spin lock. The low-level implementation of this mechanism varies depending on the combination of hardware and operating system, so the delay does not correspond to a fixed time interval.');
INSERT INTO `t_rdb_variable_template` VALUES ('innodb_thread_concurrency', 0, '0', 0, '[0-128]', 'Defines the maximum number of threads permitted inside of InnoDB.');
INSERT INTO `t_rdb_variable_template` VALUES ('log_queries_not_using_indexes', 1, 'OFF', 0, '[ON|OFF]', 'If you enable this variable with the slow query log enabled, queries that are expected to retrieve all rows are logged. ');
INSERT INTO `t_rdb_variable_template` VALUES ('log_throttle_queries_not_using_indexes', 0, '0', 0, '[0-1000]', 'If log_queries_not_using_indexes is enabled, the log_throttle_queries_not_using_indexes variable limits the number of such queries per minute that can be written to the slow query log. A value of 0 (the default) means “no limit”.');
INSERT INTO `t_rdb_variable_template` VALUES ('long_query_time', 0, '1', 0, '[0.03-31536000]', 'If a query takes longer than this many seconds, the server increments the Slow_queries status variable. If the slow query log is enabled, the query is logged to the slow query log file. This value is measured in real time, not CPU time, so a query that is under the threshold on a lightly loaded system might be above the threshold on a heavily loaded one.');
INSERT INTO `t_rdb_variable_template` VALUES ('max_connections', 0, '2000', 0, '[1-16384]', 'max connections');
INSERT INTO `t_rdb_variable_template` VALUES ('query_cache_limit', 0, '1048576', 0, '[1-1048576]', 'Do not cache results that are larger than this number of bytes. ');
INSERT INTO `t_rdb_variable_template` VALUES ('slave_parallel_workers', 0, '32', 0, '[0-1024]', 'Sets the number of applier threads for executing replication transactions in parallel. Setting this variable to a number greater than 0 creates a multithreaded replica with this number of applier threads. When set to 0 (the default) parallel execution is disabled and the replica uses a single applier thread. ');
INSERT INTO `t_rdb_variable_template` VALUES ('slow_query_log', 1, 'ON', 0, '[ON|OFF]', 'Whether the slow query log is enabled.');
COMMIT;

-- ----------------------------
-- Table structure for t_ticker
-- ----------------------------

CREATE TABLE `t_ticker` (
  `id` varchar(32) NOT NULL,
  `name` varchar(128) NOT NULL,
  `loader` varchar(32) NOT NULL,
  `cron` varchar(128) NOT NULL,
  `timezone` varchar(64) NOT NULL,
  `exec_timeout` int NOT NULL COMMENT 'ticker execute timeout second',
  `status` int NOT NULL DEFAULT '0' COMMENT '0:normal,1:pause,-1:deleted',
  `created_time` datetime NOT NULL,
  `updated_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_ticker
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_ticker_exec_lock
-- ----------------------------

CREATE TABLE `t_ticker_exec_lock` (
  `ticker_id` varchar(32) NOT NULL,
  `owner` varchar(64) DEFAULT NULL COMMENT 'owner of lock, instance_id',
  `lock_start_time` datetime NOT NULL,
  `lock_end_time` datetime NOT NULL,
  PRIMARY KEY (`ticker_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_ticker_exec_lock
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for t_ticker_exec_record
-- ----------------------------

CREATE TABLE `t_ticker_exec_record` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `ticker_id` varchar(32) NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  `result` int DEFAULT NULL COMMENT '0:成功,-1:失败',
  `created_time` datetime NOT NULL,
  `updated_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of t_ticker_exec_record
-- ----------------------------
BEGIN;
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
