/*
 Navicat Premium Data Transfer

 Source Server         : mvp2_uat
 Source Server Type    : MySQL
 Source Server Version : 50732
 Source Host           : 10.10.6.108:3306
 Source Schema         : organization

 Target Server Type    : MySQL
 Target Server Version : 50732
 File Encoding         : 65001

 Date: 11/01/2024 18:30:34
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for accountability_info
-- ----------------------------

CREATE TABLE `accountability_info`  (
  `accountability_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `is_active` tinyint(4) NOT NULL DEFAULT 1,
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `created_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `upm_data_id` bigint(20) NULL DEFAULT NULL,
  `label` varchar(32) DEFAULT 'Customer Project',
  PRIMARY KEY (`accountability_id`) USING BTREE,
  INDEX `fk_accountability_info_organization_info1_idx`(`organization_id`) USING BTREE,
  CONSTRAINT `fk_accountability_info_organization_info1` FOREIGN KEY (`organization_id`) REFERENCES `organization_info` (`organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for goose_db_version
-- ----------------------------

CREATE TABLE `goose_db_version`  (
  `id` bigint(20) UNSIGNED NOT NULL,
  `version_id` bigint(20) NOT NULL,
  `is_applied` tinyint(1) NULL DEFAULT NULL,
  `tstamp` timestamp NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for organization_info
-- ----------------------------

CREATE TABLE `organization_info`  (
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `short_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `description` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `image_id` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `is_active` tinyint(4) NOT NULL DEFAULT 1,
  `org_git_path` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `um_group_id` bigint(20) NULL DEFAULT NULL,
  `um_tenant_id` bigint(20) NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `created_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `org_username` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `um_account_id` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`organization_id`) USING BTREE,
  UNIQUE INDEX `short_name_UNIQUE`(`short_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
