/*
 Navicat Premium Data Transfer

 Source Server         : mvp2_uat
 Source Server Type    : MySQL
 Source Server Version : 50732
 Source Host           : 10.10.6.108:3306
 Source Schema         : permission

 Target Server Type    : MySQL
 Target Server Version : 50732
 File Encoding         : 65001

 Date: 11/01/2024 18:30:45
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for accountability_permission
-- ----------------------------

CREATE TABLE `accountability_permission`  (
  `um_account_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `accountability_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `permission` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `um_account_id` bigint(20) NOT NULL,
  PRIMARY KEY (`um_account_name`, `accountability_id`) USING BTREE,
  INDEX `fk_group_accountability_permission_accountability_info1_idx`(`accountability_id`) USING BTREE,
  CONSTRAINT `fk_group_accountability_permission_accountability_info1` FOREIGN KEY (`accountability_id`) REFERENCES `organization`.`accountability_info` (`accountability_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for group_action_permission
-- ----------------------------

CREATE TABLE `group_action_permission`  (
  `um_group_id` bigint(20) NOT NULL,
  `action` varchar(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  PRIMARY KEY (`um_group_id`, `action`) USING BTREE,
  CONSTRAINT `fk_group_permission1` FOREIGN KEY (`um_group_id`) REFERENCES `group_data_permission` (`um_group_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for group_data_permission
-- ----------------------------

CREATE TABLE `group_data_permission`  (
  `um_group_id` bigint(20) NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `project_key` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL,
  `updated_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`um_group_id`) USING BTREE,
  INDEX `fk_group_permission_project_info1_idx`(`organization_id`, `project_key`) USING BTREE,
  CONSTRAINT `fk_group_permission_organization_info1` FOREIGN KEY (`organization_id`) REFERENCES `organization`.`organization_info` (`organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_group_permission_project_info1` FOREIGN KEY (`organization_id`, `project_key`) REFERENCES `project`.`project_info` (`organization_id`, `project_key`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = latin1 COLLATE = latin1_swedish_ci ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
