/*
 Navicat Premium Data Transfer

 Source Server         : stc_mvp2_sit
 Source Server Type    : MySQL
 Source Server Version : 80034
 Source Host           : jumpserver.cce-internal.siriustech.io:33061
 Source Schema         : project

 Target Server Type    : MySQL
 Target Server Version : 80034
 File Encoding         : 65001

 Date: 23/04/2024 11:10:18
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for issue
-- ----------------------------

CREATE TABLE `issue`  (
  `issue_number` int NOT NULL,
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `issue_type_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `issue_status_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `parent_issue_number` int NULL DEFAULT NULL,
  `reporter` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `issue_start` timestamp NULL DEFAULT NULL,
  `issue_end` timestamp NULL DEFAULT NULL,
  `issue_priority` int NOT NULL DEFAULT 1,
  `sprint_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `severity` int NOT NULL DEFAULT 1,
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `created_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `source` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `jira_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `planned_start` timestamp NULL DEFAULT NULL,
  `planned_end` timestamp NULL DEFAULT NULL,
  `estimate` int(11) DEFAULT NULL COMMENT 'unit: minutes',
  PRIMARY KEY (`issue_number`, `project_key`, `organization_id`) USING BTREE,
  INDEX `fk_issue_issue_status1_idx`(`issue_status_id` ASC) USING BTREE,
  INDEX `fk_issue_project_info1_idx`(`project_key` ASC, `organization_id` ASC) USING BTREE,
  INDEX `fk_issue_issue_type1_idx`(`issue_type_id` ASC) USING BTREE,
  INDEX `fk_issue_project_sprint1_idx`(`sprint_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_issue_status1` FOREIGN KEY (`issue_status_id`) REFERENCES `workflow`.`issue_status` (`issue_status_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_issue_issue_type1` FOREIGN KEY (`issue_type_id`) REFERENCES `workflow`.`issue_type` (`issue_type_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_issue_project_info1` FOREIGN KEY (`project_key`, `organization_id`) REFERENCES `project_info` (`project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_assignee
-- ----------------------------

CREATE TABLE `issue_assignee`  (
  `issue_number` int NOT NULL,
  `account_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`project_key`, `organization_id`, `issue_number`, `account_id`) USING BTREE,
  CONSTRAINT `fk_issue_assignee_issue1` FOREIGN KEY (`project_key`, `organization_id`, `issue_number`) REFERENCES `issue` (`project_key`, `organization_id`, `issue_number`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_attachment
-- ----------------------------

CREATE TABLE `issue_attachment`  (
  `image_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `issue_number` int NOT NULL,
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `filename` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`image_id`, `issue_number`, `project_key`, `organization_id`) USING BTREE,
  INDEX `fk_issue_attachment_issue1_idx`(`issue_number` ASC, `project_key` ASC, `organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_attachment_issue1` FOREIGN KEY (`issue_number`, `project_key`, `organization_id`) REFERENCES `issue` (`issue_number`, `project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_comment
-- ----------------------------

CREATE TABLE `issue_comment`  (
  `issue_comment_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `replay_to_issue_comment_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `comment` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `issue_number` int NOT NULL,
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `created_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`issue_comment_id`) USING BTREE,
  INDEX `fk_issue_comment_issue1_idx`(`issue_number` ASC, `project_key` ASC, `organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_comment_issue1` FOREIGN KEY (`issue_number`, `project_key`, `organization_id`) REFERENCES `issue` (`issue_number`, `project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_comment_attachment
-- ----------------------------

CREATE TABLE `issue_comment_attachment`  (
  `issue_comment_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `image_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `filename` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`issue_comment_id`, `image_id`) USING BTREE,
  CONSTRAINT `fk_issue_comment_attachment_issue_comment1` FOREIGN KEY (`issue_comment_id`) REFERENCES `issue_comment` (`issue_comment_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;



-- ----------------------------
-- Table structure for issue_type_project_info_relation
-- ----------------------------

CREATE TABLE `issue_type_project_info_relation`  (
  `issue_type_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`issue_type_id`, `project_key`, `organization_id`) USING BTREE,
  INDEX `fk_issue_type_project_info_project_info1_idx`(`project_key` ASC, `organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_type_project_info_project_info1` FOREIGN KEY (`project_key`, `organization_id`) REFERENCES `project_info` (`project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_issue_type_project_info_relation_issue_type1` FOREIGN KEY (`issue_type_id`) REFERENCES `workflow`.`issue_type` (`issue_type_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for project_info
-- ----------------------------

CREATE TABLE `project_info`  (
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `description` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `owner` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `project_status` int NOT NULL DEFAULT 0,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `is_active` tinyint NOT NULL DEFAULT 1,
  `um_group_id` bigint NULL DEFAULT NULL,
  `default_assignee` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `created_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `created_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `accountability_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `pif_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `upm_data_id` bigint NULL DEFAULT NULL,
  `short_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`project_key`, `organization_id`) USING BTREE,
  UNIQUE INDEX `fk_project_name_accountability_id_idx`(`name` ASC, `accountability_id` ASC) USING BTREE,
  INDEX `fk_project_info_organization_info1_idx`(`organization_id` ASC) USING BTREE,
  INDEX `fk_project_info_project_info_form1_idx`(`pif_id` ASC) USING BTREE,
  INDEX `fk_project_info_accountability_info1_idx`(`accountability_id` ASC) USING BTREE,
  CONSTRAINT `fk_project_info_accountability_info1` FOREIGN KEY (`accountability_id`) REFERENCES `organization`.`accountability_info` (`accountability_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_project_info_organization_info1` FOREIGN KEY (`organization_id`) REFERENCES `organization`.`organization_info` (`organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_project_info_project_info_form1` FOREIGN KEY (`pif_id`) REFERENCES `project_info_form` (`pif_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for project_info_form
-- ----------------------------

CREATE TABLE `project_info_form`  (
  `pif_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `accountability_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`pif_id`) USING BTREE,
  INDEX `fk_project_information_pif_accountability_info1_idx`(`accountability_id` ASC) USING BTREE,
  CONSTRAINT `fk_project_information_pif_accountability_info1` FOREIGN KEY (`accountability_id`) REFERENCES `organization`.`accountability_info` (`accountability_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for project_issue_log
-- ----------------------------

CREATE TABLE `project_issue_log`  (
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `issue_number` int NOT NULL,
  `issue_log_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `log_description` varchar(3000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`issue_log_id`) USING BTREE,
  INDEX `fk_project_issue_log_issue1`(`project_key` ASC, `organization_id` ASC, `issue_number` ASC) USING BTREE,
  CONSTRAINT `fk_project_issue_log_issue1` FOREIGN KEY (`project_key`, `organization_id`, `issue_number`) REFERENCES `issue` (`project_key`, `organization_id`, `issue_number`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for project_mapping_jira
-- ----------------------------

CREATE TABLE `project_mapping_jira`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `mu_project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jira_project_key` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jira_project_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `jira_account` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sync_time` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sync_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jira_project_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `program_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `program_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_at` timestamp NULL DEFAULT NULL,
  `update_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `mu_key_jira_key_unique`(`mu_project_key` ASC, `organization_id` ASC, `jira_project_key` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for project_mapping_tool_info
-- ----------------------------

CREATE TABLE `project_mapping_tool_info`  (
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jira_account` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jira_token` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0',
  `jira_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `project_tool` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `status` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `update_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`organization_id`, `jira_account`, `project_tool`) USING BTREE,
  UNIQUE INDEX `mu_key_jira_key_unique`(`organization_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for project_sprint
-- ----------------------------

CREATE TABLE `project_sprint`  (
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `sprint_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sprint_start` timestamp NULL DEFAULT NULL,
  `sprint_end` timestamp NULL DEFAULT NULL,
  `sprint_status` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `objective` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`sprint_id`) USING BTREE,
  INDEX `fk_project_sprint_project_info1`(`project_key` ASC, `organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_project_sprint_project_info1` FOREIGN KEY (`project_key`, `organization_id`) REFERENCES `project_info` (`project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for project_workspace
-- ----------------------------

CREATE TABLE `project_workspace`  (
  `org_workspace_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cicd_tool_id` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `workspace_name` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `workspace_git_path` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `accountability_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `created_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `created_time` datetime NULL DEFAULT CURRENT_TIMESTAMP,
  `upm_data_id` bigint NULL DEFAULT NULL,
  PRIMARY KEY (`org_workspace_id`) USING BTREE,
  INDEX `fk_org_workspace_relation_cicd_tool1_idx`(`cicd_tool_id` ASC) USING BTREE,
  INDEX `fk_project_workspace_accountability_info1_idx`(`accountability_id` ASC) USING BTREE,
  CONSTRAINT `fk_org_workspace_relation_cicd_tool1` FOREIGN KEY (`cicd_tool_id`) REFERENCES `cicd`.`cicd_tool` (`cicd_tool_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_project_workspace_accountability_info1` FOREIGN KEY (`accountability_id`) REFERENCES `organization`.`accountability_info` (`accountability_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;



-- ----------------------------
-- Table structure for project_workspace_relation
-- ----------------------------

CREATE TABLE `project_workspace_relation`  (
  `org_workspace_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `project_key` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`org_workspace_id`, `project_key`, `organization_id`) USING BTREE,
  INDEX `fk_project_workspace_relation_project_info2_idx`(`project_key` ASC, `organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_project_workspace_relation_project_info2` FOREIGN KEY (`project_key`, `organization_id`) REFERENCES `project_info` (`project_key`, `organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_project_workspace_relation_project_workspace1` FOREIGN KEY (`org_workspace_id`) REFERENCES `project_workspace` (`org_workspace_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
