# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# Host: jumpserver.cce-internal.siriustech.io (MySQL 8.0.34-magnus-server)
# Database: upm
# Generation Time: 2024-01-05 06:11:41 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table upm_account
# ------------------------------------------------------------



CREATE TABLE `upm_account` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `account_name` varchar(64) NOT NULL,
  `password` varchar(256) NOT NULL,
  `email` varchar(64) DEFAULT NULL,
  `phone` varchar(64) DEFAULT NULL,
  `nickname` varchar(64) DEFAULT NULL,
  `tenant_id` bigint(20) DEFAULT NULL,
  `account_type` int(11) DEFAULT NULL,
  `is_initialized` tinyint(1) DEFAULT NULL,
  `is_active` tinyint(1) DEFAULT NULL,
  `is_locked` tinyint(1) DEFAULT NULL,
  `locked_time` bigint(20) DEFAULT NULL,
  `fail_count` int(11) DEFAULT NULL,
  `last_login_time` bigint(20) DEFAULT NULL,
  `last_logout_time` bigint(20) DEFAULT NULL,
  `online` tinyint(1) DEFAULT NULL,
  `auth_type` varchar(32) NOT NULL,
  `access_begin` datetime DEFAULT NULL,
  `access_end` datetime DEFAULT NULL,
  `first_name` varchar(64) DEFAULT NULL,
  `last_name` varchar(64) DEFAULT NULL,
  `category` int(4) DEFAULT '0',
  `rand_str` varchar(64) DEFAULT NULL,
  `creator` varchar(255) DEFAULT NULL,
  `updator` varchar(255) DEFAULT NULL, 
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_account_group_relation
# ------------------------------------------------------------



CREATE TABLE `upm_account_group_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `account_id` bigint(20) NOT NULL,
  `group_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_account_role_relation
# ------------------------------------------------------------



CREATE TABLE `upm_account_role_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `account_id` bigint(20) NOT NULL,
  `role_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_api_permission
# ------------------------------------------------------------



CREATE TABLE `upm_api_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `role_id` bigint(20) NOT NULL,
  `url_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_authenticator_secret
# ------------------------------------------------------------



CREATE TABLE `upm_authenticator_secret` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `secret` varchar(64) NOT NULL,
  `account_id` bigint(20) NOT NULL,
  `expiry_time` bigint(20) DEFAULT NULL,
  `status` bigint(20) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;




# Dump of table upm_data_permission
# ------------------------------------------------------------



CREATE TABLE `upm_data_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `role_id` bigint(20) NOT NULL,
  `target_type` int(11) NOT NULL,
  `target_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_data_permission_metadata
# ------------------------------------------------------------



CREATE TABLE `upm_data_permission_metadata` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(255) COLLATE utf8mb4_bin NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_bin NOT NULL,
  `describe` text COLLATE utf8mb4_bin,
  `status` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `data_permission_type` int(4) NOT NULL,
  `parent_id` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `tenant_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;



# Dump of table upm_element_url_relation
# ------------------------------------------------------------



CREATE TABLE `upm_element_url_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `element_id` bigint(20) NOT NULL,
  `element_type` int(11) DEFAULT NULL,
  `url_id` bigint(20) NOT NULL,
  `portal_id` varchar(50) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_environment
# ------------------------------------------------------------



CREATE TABLE `upm_environment` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(255) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `describe` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `tenant_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_group
# ------------------------------------------------------------



CREATE TABLE `upm_group` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `describe` varchar(255) DEFAULT NULL,
  `tenant_id` bigint(20) DEFAULT NULL,
  `parent_id` bigint(20) DEFAULT NULL,
  `links` text,
  `code` varchar(255) DEFAULT NULL,
  `reserved1` varchar(255) DEFAULT NULL,
  `reserved2` varchar(255) DEFAULT NULL,
  `creator` varchar(255) DEFAULT NULL,
  `updator` varchar(255) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_group_resource_relation
# ------------------------------------------------------------



CREATE TABLE `upm_group_resource_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `group_id` bigint(20) NOT NULL,
  `target_type` int(11) DEFAULT NULL,
  `target_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_link
# ------------------------------------------------------------



CREATE TABLE `upm_link` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `account_id` bigint(20) NOT NULL,
  `link` text NOT NULL,
  `status` bigint(20) DEFAULT NULL,
  `expiry_time` bigint(20) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;





# Dump of table upm_operation_permission
# ------------------------------------------------------------



CREATE TABLE `upm_operation_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `role_id` bigint(20) DEFAULT NULL,
  `target_type` int(11) DEFAULT NULL,
  `target_id` bigint(20) DEFAULT NULL,
  `portal_id` varchar(50) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_passwd_history
# ------------------------------------------------------------



CREATE TABLE `upm_passwd_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `account_id` bigint(20) NOT NULL,
  `password` varchar(256) NOT NULL,
  `rand_str` varchar(64) DEFAULT NULL,
  `expiry_time` int(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_portal
# ------------------------------------------------------------



CREATE TABLE `upm_portal` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `portal_id` varchar(50) NOT NULL,
  `app_name` varchar(128) DEFAULT NULL,
  `describe` varchar(128) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_portal_element
# ------------------------------------------------------------



CREATE TABLE `upm_portal_element` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `element_id` bigint(20) NOT NULL,
  `element_type` int(11) NOT NULL,
  `parent_id` bigint(20) DEFAULT NULL,
  `portal_id` varchar(50) NOT NULL,
  `describe` varchar(128) DEFAULT NULL,
  `label` varchar(32) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_refresh_token
# ------------------------------------------------------------



CREATE TABLE `upm_refresh_token` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `refresh_token` varchar(255) NOT NULL,
  `expiry_time` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_role
# ------------------------------------------------------------



CREATE TABLE `upm_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `describe` varchar(255) DEFAULT NULL,
  `group_id` bigint(20) NOT NULL,
  `tenant_id` bigint(20) NOT NULL,
  `type` int(11) DEFAULT NULL,
  `other_auth` tinyint(1) DEFAULT NULL,
  `tenant_type_id` bigint(20) DEFAULT NULL,
  `parent_id` bigint(20) DEFAULT NULL,
  `reserved1` varchar(255) DEFAULT NULL,
  `reserved2` varchar(255) DEFAULT NULL,
  `creator` varchar(255) DEFAULT NULL,
  `updator` varchar(255) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_tenant
# ------------------------------------------------------------



CREATE TABLE `upm_tenant` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tenant_name` varchar(255) NOT NULL,
  `tenant_code` varchar(64) NOT NULL,
  `describe` varchar(255) NOT NULL,
  `google_auth` tinyint(1) DEFAULT NULL,
  `type_id` bigint(20) DEFAULT NULL,
  `reserved1` varchar(255) DEFAULT NULL,
  `reserved2` varchar(255) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_tenant_type
# ------------------------------------------------------------



CREATE TABLE `upm_tenant_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `type_name` varchar(255) DEFAULT NULL,
  `type_code` varchar(64) DEFAULT NULL,
  `describe` varchar(255) DEFAULT NULL,
  `creator` varchar(255) DEFAULT NULL,
  `updator` varchar(255) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_tenant_type_permission
# ------------------------------------------------------------



CREATE TABLE `upm_tenant_type_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tenant_type_id` bigint(20) DEFAULT NULL,
  `target_type` int(11) DEFAULT NULL,
  `target_id` bigint(20) DEFAULT NULL,
  `portal_id` varchar(50) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_url
# ------------------------------------------------------------



CREATE TABLE `upm_url` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `url` varchar(500) NOT NULL,
  `describe` varchar(500) DEFAULT NULL,
  `event_id` varchar(150) NOT NULL,
  `service_id` varchar(100) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_verification_code
# ------------------------------------------------------------



CREATE TABLE `upm_verification_code` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(64) NOT NULL,
  `account_id` bigint(20) NOT NULL,
  `expiry_time` bigint(20) DEFAULT NULL,
  `status` bigint(20) DEFAULT NULL,
  `usage` varchar(64) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;



# Dump of table upm_workspace
# ------------------------------------------------------------



CREATE TABLE `upm_workspace` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(255) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `describe` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `tenant_id` bigint(20) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;




/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
