/*
 Navicat Premium Data Transfer

 Source Server         : stc_mvp2_sit
 Source Server Type    : MySQL
 Source Server Version : 80034
 Source Host           : jumpserver.cce-internal.siriustech.io:33061
 Source Schema         : workflow

 Target Server Type    : MySQL
 Target Server Version : 80034
 File Encoding         : 65001

 Date: 23/04/2024 11:12:47
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for issue_status
-- ----------------------------

CREATE TABLE `issue_status`  (
  `issue_status_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`issue_status_id`) USING BTREE,
  INDEX `fk_issue_status_organization_info1_idx`(`organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_status_organization_info1` FOREIGN KEY (`organization_id`) REFERENCES `organization`.`organization_info` (`organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_type
-- ----------------------------

CREATE TABLE `issue_type`  (
  `issue_type_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `issue_workflow_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`issue_type_id`) USING BTREE,
  INDEX `fk_issue_type_issue_workflow1_idx`(`issue_workflow_id` ASC) USING BTREE,
  INDEX `fk_issue_type_organization_info1_idx`(`organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_type_issue_workflow1` FOREIGN KEY (`issue_workflow_id`) REFERENCES `issue_workflow` (`issue_workflow_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_issue_type_organization_info1` FOREIGN KEY (`organization_id`) REFERENCES `organization`.`organization_info` (`organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_workflow
-- ----------------------------

CREATE TABLE `issue_workflow`  (
  `issue_workflow_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `organization_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updated_user` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `updated_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`issue_workflow_id`) USING BTREE,
  INDEX `fk_issue_workflow_organization_info1_idx`(`organization_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_workflow_organization_info1` FOREIGN KEY (`organization_id`) REFERENCES `organization`.`organization_info` (`organization_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_workflow_status_connector
-- ----------------------------

CREATE TABLE `issue_workflow_status_connector`  (
  `issue_workflow_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `source_status_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `source_position` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `destination_status_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `destination_position` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`issue_workflow_id`, `source_status_id`, `destination_status_id`) USING BTREE,
  INDEX `fk_issue_workflow_status_connector_issue_status1_idx`(`source_status_id` ASC) USING BTREE,
  INDEX `fk_issue_workflow_status_connector_issue_status2_idx`(`destination_status_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_workflow_status_connector_issue_status1` FOREIGN KEY (`source_status_id`) REFERENCES `issue_workflow_status_position` (`issue_status_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_issue_workflow_status_connector_issue_status2` FOREIGN KEY (`destination_status_id`) REFERENCES `issue_workflow_status_position` (`issue_status_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_issue_workflow_status_connector_issue_workflow1` FOREIGN KEY (`issue_workflow_id`) REFERENCES `issue_workflow` (`issue_workflow_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for issue_workflow_status_position
-- ----------------------------

CREATE TABLE `issue_workflow_status_position`  (
  `issue_workflow_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `issue_status_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `x` int NOT NULL,
  `y` int NOT NULL,
  PRIMARY KEY (`issue_workflow_id`, `issue_status_id`) USING BTREE,
  INDEX `fk_issue_workflow_status_position_issue_status1_idx`(`issue_status_id` ASC) USING BTREE,
  CONSTRAINT `fk_issue_workflow_status_position_issue_status1` FOREIGN KEY (`issue_status_id`) REFERENCES `issue_status` (`issue_status_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_issue_workflow_status_position_issue_workflow1` FOREIGN KEY (`issue_workflow_id`) REFERENCES `issue_workflow` (`issue_workflow_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
