{{/*
Create a default fully qualified app name.
*/}}
{{- define "common.fullname" -}}
{{- if .Values.skm.fullnameOverride }}
{{- .Values.skm.fullnameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- $name := default "skm" .Values.skm.appNameOverride }}
{{- if contains $name .Release.Name }}
{{- .Release.Name | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- printf "%s-%s" .Release.Name $name | trunc 63 | trimSuffix "-" }}
{{- end }}
{{- end }}
{{- end }}

{{/*
Create a default app name.
*/}}
{{- define "common.appName" -}}
{{- if .Values.skm.appNameOverride }}
{{- .Values.skm.appNameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- .Chart.Name }}
{{- end }}
{{- end }}

{{/*
Create a default vault name.
*/}}
{{- define "common.vaultName" -}}
{{- if .Values.vault.appNameOverride }}
{{- .Values.vault.appNameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
vault
{{- end }}
{{- end }}