{{/*
Create a default fully qualified app name.
*/}}
{{- define "common.fullname" -}}
{{- if .Values.statusmgmt_asquery.fullnameOverride }}
{{- .Values.statusmgmt_asquery.fullnameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- $name := default "statusmgmt_asquery" .Values.statusmgmt_asquery.appNameOverride }}
{{- if contains $name .Release.Name }}
{{- .Release.Name | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- printf "%s-%s" .Release.Name $name | trunc 63 | trimSuffix "-" }}
{{- end }}
{{- end }}
{{- end }}

{{/*
Create a default app name.
*/}}
{{- define "common.appName" -}}
{{- if .Values.statusmgmt_asquery.appNameOverride }}
{{- .Values.statusmgmt_asquery.appNameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- .Chart.Name }}
{{- end }}
{{- end }}

{{/*
Return the proper bc sed image name
*/}}
{{- define "common.appImage" -}}
{{- $registryName := .Values.statusmgmt_asquery.image.registry -}}
{{- $repositoryName := .Values.statusmgmt_asquery.image.repository -}}
{{- if .Values.statusmgmt_asquery.image.tag }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Values.statusmgmt_asquery.image.tag -}}
{{- else }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Chart.AppVersion -}}
{{- end }}
{{- end -}}
